{$APPTYPE CONSOLE}
var t,n,m,k,i:integer;
begin
  assign(input, 'NUTS.IN'); reset(input);
  readln(t);
  for i:=1 to t do
   begin
     readln(n,m,k);
     if n*m>=k then writeln('YES') else writeln('NO');
   end;
end.